\version "2.19.28"
#(set-default-paper-size "a4")
%#(ly:set-option 'point-and-click #f)

\include "Couverture.ily"

\paper {
%%% réglage de la page
  two-sided = ##t
  inner-margin = 1.2\cm
  outer-margin = 1.2\cm
  binding-offset = 0.5\cm
  ragged-right = ##f
  ragged-last = ##t
  ragged-bottom = ##f
  ragged-last-bottom = ##f
  top-system-spacing #'basic-distance = #10
  top-markup-spacing #'basic-distance = #10
  last-bottom-spacing #'basic-distance = #10
  page-breaking = #ly:minimal-breaking
  indent = 0.3\cm
  short-indent = 0.3\cm

%%% mise en page généralités
  #(define (print-page-number-check-part-first layout props arg)
     (if (or (not (= (chain-assoc-get 'page:page-number props -1)
                     (ly:output-def-lookup layout 'first-page-number)))
             (eq? (ly:output-def-lookup layout 'print-first-page-number) #t))
         (create-page-number-stencil layout props arg)
         empty-stencil))

  oddHeaderMarkup = \markup \fill-line {
    %% force l'entête à occuper de la place
    %% sinon c'est le foutoir.
    " "
    \on-the-fly \not-part-first-page
      \fromproperty #'header:entete
    \on-the-fly #print-page-number-check-part-first
      \fromproperty #'page:page-number-string
  }
  evenHeaderMarkup = \markup \fill-line {
    \on-the-fly #print-page-number-check-part-first
      \fromproperty #'page:page-number-string
    \on-the-fly #not-part-first-page
      \fromproperty #'header:entete
    " "
  }
%%% formatage de la table des matières
 %% Tranduit le titre
  tocTitleMarkup = \markup \huge \column {
    \fill-line { \null \smallCaps "Table des matières" \null }
    \hspace #1
  }
  tocActMarkup = \markup \large \column {
    \hspace #1
    \fill-line { \null \italic \fromproperty #'toc:text \null }
    \hspace #1
  }
 %% use dots
  tocItemMarkup = \markup \fill-with-pattern #1 #RIGHT .
    \fromproperty #'toc:text \fromproperty #'toc:page

}
%%%%%% fin du bloc papier

\layout {
  \set Score.tempoHideNote = ##t
  \set Staff.explicitClefVisibility = #end-of-line-invisible
  \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \set Staff.printKeyCancellation = ##f
  \override Staff.KeyCancellation.break-visibility = #end-of-line-invisible
  \context {
    \Score
    \override TimeSignature.break-visibility = ##(#f #t #t)
    \override RehearsalMark.self-alignment-X = #LEFT
  }
  \context {
    \Staff
    \consists "Custos_engraver"
    \override Custos.style = #'mensural
    \override Rest.style = #'neomensural
    \override TupletNumber.stencil = ##f
    \override TupletBracket.stencil = ##f
  }
  \context {
    \Lyrics
    \override LyricText.font-size = #-0.5
  }
}
