\version "2.19.28"
#(set-default-paper-size "a4")

\include "Couverture.ily"

\paper {
%%% paper formating
  two-sided = ##t
  inner-margin = 1.2\cm
  outer-margin = 1.3\cm
  binding-offset = 0.6\cm
  ragged-right = ##f
  ragged-bottom = ##f
  ragged-last-bottom = ##f
  indent = 2.3\cm
  short-indent = 0.3\cm

%%% general page layout
  #(define (print-page-number-check-part-first layout props arg)
     (if (or (not (= (chain-assoc-get 'page:page-number props -1)
                     (ly:output-def-lookup layout 'first-page-number)))
             (eq? (ly:output-def-lookup layout 'print-first-page-number) #t))
         (create-page-number-stencil layout props arg)
         empty-stencil))

  oddHeaderMarkup = \markup \fill-line {
    %% force the header to take some space, otherwise the
    %% page layout becomes a complete mess.
    " "
    \on-the-fly \not-part-first-page
      \concat { \fromproperty #'header:entete " — "
                \fromproperty #'header:title }
    \on-the-fly #print-page-number-check-part-first
      \fromproperty #'page:page-number-string
  }
  evenHeaderMarkup = \markup \fill-line {
    \on-the-fly #print-page-number-check-part-first
      \fromproperty #'page:page-number-string
    \on-the-fly #not-part-first-page
      \concat { \fromproperty #'header:title " — "
                \fromproperty #'header:entete }
    " "
  }

%%% table of contents formatting
 %% Translate the toc title:
  tocTitleMarkup = \markup \huge \column {
    \fill-line { \null \smallCaps "Table des matières" \null }
    \hspace #1
  }
  tocActMarkup = \markup \large \column {
    \hspace #1
    \fill-line { \null \italic \fromproperty #'toc:text \null }
    \hspace #1
  }
 %% use dots
  tocItemMarkup = \markup \fill-with-pattern #1 #RIGHT .
    \fromproperty #'toc:text \fromproperty #'toc:page

 %% spacings (in staffspace)
%  score-markup-spacing = #'((basic-distance . 8) (padding . 2)
%                            (minimum-distance . 6) (stretchability . 2))
%  markup-system-spacing = #'((basic-distance . 1.25) (padding . 0.5)
%                             (minimum-distance . 1) (stretchability . 0))
  markup-system-spacing = #'((basic-distance . 4)  (padding . 1)
                             (minimum-distance . 2))
}
%%%%%% end of paper block


\layout {
%%% spacings
 %% Note: these are not scaled; they are in staff-spaces.
  system-system-spacing = #'((basic-distance . 2.5) (padding . 0)
                             (minimum-distance . 2.25) (stretchability . 0))
  staffgroup-staff-spacing = #'((basic-distance . 2.) (padding . 0)
                                (minimum-distance . 2) (stretchability . 0))
  staff-staff-spacing = #'((basic-distance . 2.) (padding . 0)
                           (minimum-distance . 2) (stretchability . 0))
  nonstaff-relatedstaff-spacing = #'((basic-distance . 1.5) (padding . 0)
                                     (minimum-distance . 1.5) (stretchability . 0))
  nonstaff-unrelatedstaff-spacing = #'((basic-distance . 2) (padding . 0)
                                       (minimum-distance . 2) (stretchability . 0))

  \set Score.tempoHideNote = ##t
  \context {
    \Score
    \name Score
    \override BarNumber.padding = #2
    \override InstrumentName.font-size = #1.0
    \override InstrumentName.space-alist = #'((left-edge extra-space . 2.0))
    \override Lyrics.font-size = #-1.5
    \override RehearsalMark.font-size = #-1.5
    \accepts "StaffGroupNoBar"
    skipBars = ##t
  }
  \context {
    \ChoirStaff
    \consists "Instrument_name_engraver"
  }
  \context {
    \StaffGroup
    \consists "Instrument_name_engraver"
  }
   \context {
     \Staff
     \compressMMRests
     \override MultiMeasureRest.expand-limit = #1
   }
   \context {
     \FiguredBass
     implicitBassFigures = #'(0)
     ignoreFiguredBassRest = ##f
     figuredBassAlterationDirection = #RIGHT
     \override BassFigureAlignmentPositioning.direction = #DOWN
   }
  RemoveEmptyStaffContext = \context {
    \Staff
    \remove "Axis_group_engraver"
    \consists "Hara_kiri_engraver"
    \override Beam.auto-knee-gap = #'()
    \override VerticalAxisGroup.remove-empty = ##t
  }
}
%%%%%% end of layout block

%%% editorial annotation's layout
quoteLayout = \layout {
  indent = 0\cm
  ragged-right = ##t
  \context { \Staff
    \remove "Time_signature_engraver"
  }
  \context { \Score \remove "Bar_number_engraver" }
}

onlyNotesLayout = \layout {
  indent = 0\cm
  \context { \Staff
    \remove "Time_signature_engraver"
    \remove "Clef_engraver"
    \remove "Staff_symbol_engraver"
  }
  \context { \Score \remove "Bar_number_engraver" }
}

tacetLayout = \layout {
  \context { \Score timing = ##t }
  \context { \Staff
    \remove "Time_signature_engraver"
    \remove "Clef_engraver"
  }
  \override Staff.BarLine.transparent = ##t
}